SUSE Security Update: Security update for xorg-x11-server
______________________________________________________________________________

Announcement ID:    SUSE-SU-2021:4121-1
Rating:             important
References:         #1190487 #1190489 
Cross-References:   CVE-2021-4009 CVE-2021-4011
CVSS scores:
                    CVE-2021-4009 (SUSE): 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
                    CVE-2021-4011 (SUSE): 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Affected Products:
                    SUSE Linux Enterprise Server for SAP 15
                    SUSE Linux Enterprise Server 15-LTSS
                    SUSE Linux Enterprise High Performance Computing 15-LTSS
                    SUSE Linux Enterprise High Performance Computing 15-ESPOS
______________________________________________________________________________

   An update that fixes two vulnerabilities is now available.

Description:

   This update for xorg-x11-server fixes the following issues:

   - CVE-2021-4009: The handler for the CreatePointerBarrier request of the
     XFixes extension does not properly validate the request length leading
     to out of bounds memory write. (bsc#1190487)
   - CVE-2021-4011: The handlers for the RecordCreateContext and
     RecordRegisterClients requests of the Record extension do not properly
     validate the request length leading to out of bounds memory write.
     (bsc#1190489)


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Server for SAP 15:

      zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-2021-4121=1

   - SUSE Linux Enterprise Server 15-LTSS:

      zypper in -t patch SUSE-SLE-Product-SLES-15-2021-4121=1

   - SUSE Linux Enterprise High Performance Computing 15-LTSS:

      zypper in -t patch SUSE-SLE-Product-HPC-15-2021-4121=1

   - SUSE Linux Enterprise High Performance Computing 15-ESPOS:

      zypper in -t patch SUSE-SLE-Product-HPC-15-2021-4121=1



Package List:

   - SUSE Linux Enterprise Server for SAP 15 (ppc64le x86_64):

      xorg-x11-server-1.19.6-8.36.1
      xorg-x11-server-debuginfo-1.19.6-8.36.1
      xorg-x11-server-debugsource-1.19.6-8.36.1
      xorg-x11-server-extra-1.19.6-8.36.1
      xorg-x11-server-extra-debuginfo-1.19.6-8.36.1
      xorg-x11-server-sdk-1.19.6-8.36.1

   - SUSE Linux Enterprise Server 15-LTSS (aarch64 s390x):

      xorg-x11-server-1.19.6-8.36.1
      xorg-x11-server-debuginfo-1.19.6-8.36.1
      xorg-x11-server-debugsource-1.19.6-8.36.1
      xorg-x11-server-extra-1.19.6-8.36.1
      xorg-x11-server-extra-debuginfo-1.19.6-8.36.1
      xorg-x11-server-sdk-1.19.6-8.36.1

   - SUSE Linux Enterprise High Performance Computing 15-LTSS (aarch64 x86_64):

      xorg-x11-server-1.19.6-8.36.1
      xorg-x11-server-debuginfo-1.19.6-8.36.1
      xorg-x11-server-debugsource-1.19.6-8.36.1
      xorg-x11-server-extra-1.19.6-8.36.1
      xorg-x11-server-extra-debuginfo-1.19.6-8.36.1
      xorg-x11-server-sdk-1.19.6-8.36.1

   - SUSE Linux Enterprise High Performance Computing 15-ESPOS (aarch64 x86_64):

      xorg-x11-server-1.19.6-8.36.1
      xorg-x11-server-debuginfo-1.19.6-8.36.1
      xorg-x11-server-debugsource-1.19.6-8.36.1
      xorg-x11-server-extra-1.19.6-8.36.1
      xorg-x11-server-extra-debuginfo-1.19.6-8.36.1
      xorg-x11-server-sdk-1.19.6-8.36.1


References:

   https://www.suse.com/security/cve/CVE-2021-4009.html
   https://www.suse.com/security/cve/CVE-2021-4011.html
   https://bugzilla.suse.com/1190487
   https://bugzilla.suse.com/1190489